Bug 854931 - mrg 2.1 kernel will not boot on x3690 X5 (and perhaps other X5 systems) with optimal firmware settings
mrg 2.1 kernel will not boot on x3690 X5 (and perhaps other X5 systems) with ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
2.1
x86_64 All
high Severity high
: ---
: ---
Assigned To: John Kacur
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 06:30 EDT by IBM Bug Proxy
Modified: 2016-05-22 19:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-05 10:06:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
x5 low latency UEFI options (1.35 KB, text/plain)
2012-09-06 06:30 EDT, IBM Bug Proxy
no flags Details
Console output during failed boot (38.00 KB, text/plain)
2012-09-06 06:30 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 84903 None None None 2012-09-06 06:30:32 EDT

  None (edit)
Description IBM Bug Proxy 2012-09-06 06:30:31 EDT
== Comment: #0 - Michael Kravetz <mkravetz@us.ibm.com> - 2012-09-05 16:59:54 ==
Installed RHEL 6.2 and latest MRG 2.1 images on a x3690 X5.  All was well with default settings.  I then modified uEFI settings for lowest latency.  After this, the realtime kernel would no longer successfully boot.  It pauses for a loooooooong time after "megasas: FW now in Ready state" is printed to the console.

Two attachments will follow:
- uEFI settings
- console output from failed boot attempt

Note that the RHEL 6.2 kernel boots without issue with these uEFI settings.  In fact, these are the settings we recommend to Low Latency (not realtime) customers.  Also, if the uEFI settings are returned to their default values, the mrg/realtime kernel will boot.

Thanks
Comment 1 IBM Bug Proxy 2012-09-06 06:30:39 EDT
Created attachment 610252 [details]
x5 low latency UEFI options
Comment 2 IBM Bug Proxy 2012-09-06 06:30:45 EDT
Created attachment 610253 [details]
Console output during failed boot
Comment 3 IBM Bug Proxy 2012-09-06 16:40:42 EDT
------- Comment From mkravetz@us.ibm.com 2012-09-06 20:39 EDT-------
vanilla kernel fails in the same way as RT, so this may not be RT related.

off to build/attempt to boot mainline.
Comment 4 IBM Bug Proxy 2012-09-06 17:30:45 EDT
------- Comment From mkravetz@us.ibm.com 2012-09-06 21:29 EDT-------
3.0.42 (unmodified) also fails to boot.  Therefore, we can safely say this is NOT a RT issue.

Sorry for the noise Red Hat MRG team
Comment 5 IBM Bug Proxy 2012-09-06 18:00:35 EDT
------- Comment From mkravetz@us.ibm.com 2012-09-06 21:52 EDT-------
Just to verify, I restored uEFI settings to their defaults (F1 during system initialization).  With setting back at the defaults, 3.0.42 kernel boots.
Comment 6 IBM Bug Proxy 2012-09-07 19:40:31 EDT
------- Comment From mkravetz@us.ibm.com 2012-09-07 23:36 EDT-------
This e-mail thread appears to describe the issue:

https://lkml.org/lkml/2011/12/14/102
Comment 7 IBM Bug Proxy 2012-09-07 21:00:31 EDT
------- Comment From mkravetz@us.ibm.com 2012-09-08 00:58 EDT-------
Changed the UEFI setting "ProcessorXapic" to disabled and the MRG 2.1 kernel boots.

So, the question is should CONFIG_X86_X2APIC be enabled in the MRG 2.1 kernel(s) ?
Comment 8 IBM Bug Proxy 2012-09-11 18:50:38 EDT
------- Comment From mkravetz@us.ibm.com 2012-09-11 22:46 EDT-------
Just checked and 2.2 candidate kernel (i have access to) does have CONFIG_X86_X2APIC enabled.
Comment 9 Clark Williams 2012-09-12 12:55:26 EDT
I'd prefer not to change the MRG 2.1 configs as we're about to release MRG 2.2 (and that has X86_X2APIC enabled).

Note You need to log in before you can comment on or make changes to this bug.